Loading...
Searching...
No Matches
_ocsd_file_mem_region Struct Reference
OpenCSD Library : Interfaces

`#include <ocsd_if_types.h>`

## Public Attributes

size_t | file_offset
ocsd_vaddr_t | start_address
size_t | region_size

## Detailed Description

memory region type for adding multi-region binary files to memory access interface

Definition at line 494 of file ocsd_if_types.h.

## Member Data Documentation

## file_offset

size_t _ocsd_file_mem_region::file_offset

Offset from start of file for memory region

Definition at line 495 of file ocsd_if_types.h.

## region_size

size_t _ocsd_file_mem_region::region_size

size in bytes of memory region

Definition at line 497 of file ocsd_if_types.h.

## start_address

ocsd_vaddr_t _ocsd_file_mem_region::start_address

Start address of memory region

Definition at line 496 of file ocsd_if_types.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/ocsd_if_types.h